import request from '@/utils/request'

// 查询安全批文主要内容列表
export function listSafetyapprcont(query) {
  return request({
    url: '/ehs/safetyapprcont/list',
    method: 'get',
    params: query
  })
}

// 查询安全批文主要内容详细
export function getSafetyapprcont(id) {
  return request({
    url: '/ehs/safetyapprcont/' + id,
    method: 'get'
  })
}

// 新增安全批文主要内容
export function addSafetyapprcont(data) {
  return request({
    url: '/ehs/safetyapprcont',
    method: 'post',
    data: data
  })
}

// 修改安全批文主要内容
export function updateSafetyapprcont(data) {
  return request({
    url: '/ehs/safetyapprcont',
    method: 'put',
    data: data
  })
}

// 删除安全批文主要内容
export function delSafetyapprcont(id) {
  return request({
    url: '/ehs/safetyapprcont/' + id,
    method: 'delete'
  })
}

// 导出安全批文主要内容
export function exportSafetyapprcont(query) {
  return request({
    url: '/ehs/safetyapprcont/export',
    method: 'get',
    params: query
  })
}
